Subject: More comment (small typo)
From: Albert Mietus <[email-masked]>
Date: Fri, 6 Jun 2003 13:33:39 +0200

Hallo all,

The text on page 20, section 4.3.7 "Fragment Length" (draft-11) the
Fragment Length -- an int -- mentions it should be coded in base64. I
assume this is an error.

It should be an int (as string). So the length of the field (the table
on page 19) should be 1-4.

Greetings

- -- 
ALbert Mietus
	Send prive mail to:      [email-masked]
	Send business mail to: [email-masked]
	Don't send spam mail!

------------------------------

Date: Fri, 13 Jun 2003 11:02:03 +0900
From: Glenn Mansfield Keeni <[email-masked]>
Subject: Re: Remote syslog message retrieval

Brett,
[email-masked] wrote:
> I have a question for consideration.
>
> I was looking over the draft syslog mib and wondered why there is no
> mechanism to retrieve messages that have been stored locally on the remote
> device?
The present SyslogMIB is essentially about monitoring (and potentially
controlling ) syslog processes. It provides statistics on messages
sent, received etc. by the syslog process. But it does not deal with
message retrieval.
>
> I realize that under normal operation the device would be sending its syslog
> messages to a syslog server. However, there are situations where the syslog
> server may have been unreachable for a period of time. It would be nice if
> the locally-stored messages could be read via SNMP.
I fully agree with you. The Notification Log MIB (rfc3014) is defined
for retrieving logged messages. This can be adapted to retrieve syslog
messages. There a small amount of work that needs to be done. If there is
sufficient interest perhaps this should be taken up as a WG-work item.
I guess that next in the queue would be addition of SNMP Notifications
as one of the actions of the syslog process.

Glenn

>
> Brett
>

------------------------------

Date: Fri, 13 Jun 2003 12:29:03 -0400
From: "Harrington, David" <[email-masked]>
Subject: RE: Remote syslog message retrieval

Hi Brett,

RFC 3014 is for retrieving a log of SNMP notifications. I don't believe
it is for retrieving syslog messages.

The purpose is to log traps/informs so that if they don't get delivered,
a manager can still see what was sent. This is equivalent to what you
want for syslog messages, but I don't think this mib should be used for
that purpose, because if I just want to see what SNMP traps were sent, I
don't want to have to wade through the whole log of syslog messages.

dbh

> -----Original Message-----
> From: Glenn Mansfield Keeni [mailto:[email-masked]]
> Sent: Thursday, June 12, 2003 10:02 PM
> To: [email-masked]; [email-masked]
> Subject: Re: Remote syslog message retrieval
>
>
> Brett,
> [email-masked] wrote:
> > I have a question for consideration.
> >
> > I was looking over the draft syslog mib and wondered why there is no
> > mechanism to retrieve messages that have been stored
> locally on the remote
> > device?
> The present SyslogMIB is essentially about monitoring (and potentially
> controlling ) syslog processes. It provides statistics on messages
> sent, received etc. by the syslog process. But it does not deal with
> message retrieval.
> >
> > I realize that under normal operation the device would be
> sending its syslog
> > messages to a syslog server. However, there are situations
> where the syslog
> > server may have been unreachable for a period of time. It
> would be nice if
> > the locally-stored messages could be read via SNMP.
> I fully agree with you. The Notification Log MIB (rfc3014) is defined
> for retrieving logged messages. This can be adapted to retrieve syslog
> messages. There a small amount of work that needs to be done.
> If there is
> sufficient interest perhaps this should be taken up as a WG-work item.
> I guess that next in the queue would be addition of SNMP Notifications
> as one of the actions of the syslog process.
>
> Glenn
>
> >
> > Brett
> >
>
>
>
>
>
>
>

------------------------------